package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PvDaPfPeriodData对象 pv_da_pf_period_data
 * 
 * @author hlf
 * @date 2022-07-11
 */
public class PvDaPfPeriodData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long pvNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double radiation;

    private Double power;

    private Long dataFlag;

    public void setPvNo(Long pvNo) 
    {
        this.pvNo = pvNo;
    }

    public Long getPvNo() 
    {
        return pvNo;
    }
    public void setModelNo(Long modelNo) 
    {
        this.modelNo = modelNo;
    }

    public Long getModelNo() 
    {
        return modelNo;
    }
    public void setTimeScale(Long timeScale) 
    {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() 
    {
        return timeScale;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }
    public void setRadiation(Double radiation) 
    {
        this.radiation = radiation;
    }

    public Double getRadiation() 
    {
        return radiation;
    }
    public void setPower(Double power) 
    {
        this.power = power;
    }

    public Double getPower() 
    {
        return power;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pvNo", getPvNo())
            .append("modelNo", getModelNo())
            .append("timeScale", getTimeScale())
            .append("dataTime", getDataTime())
            .append("radiation", getRadiation())
            .append("power", getPower())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
